2021-01-10  Csaba Nemethi  <csaba.nemethi@t-online.de>

	* support/installation/actions.tcl: Proc _tab now passes 1 as 3rd
	  argument to xcopy.

2020-02-09  0.7  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tklib 0.7 ========================
	* 

2013-10-30  Andreas Kupries (AS Senior Dev)  <andreask@activestate.com>

	* examples/canvas/crosshairs_for_axes.tcl: [Ticket [19721eff15]].
	* examples/canvas/crosshairs_for_multixyplot.tcl: Updated canvas
	* examples/canvas/crosshairs_scaled.tcl: examples for runnability
	  against an installed tklib. Patch by stu.

2013-10-30  Andreas Kupries  <andreask@activestate.com>

	* README: [Ticket [678c8ac255]]. Updated file references. Reported
	  by Arjen Markus.

2013-04-03  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* apps/diagram-viewer: Renamed 'dia' to avoid clashes with the
	* apps/diagram-viewer.man: Gnome 'dia' application.
	* support/installation/modules.tcl:

2013-03-25  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tklib 0.6 ========================
	*

2012-08-27  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* support/installation/modules.tcl: Added the new widgetl module.
	* support/installation/modules.tcl: Added the new widgetv module.

2012-06-21  Andreas Kupries  <andreask@activestate.com>

	* Makefile.in (install, install-libraries, install-doc):
	  [Bug 3536133]: Added missing -app-path and -no-apps
	  options. Thanks to Georgios Petasis <petasis@users.sourceforge.net>.

2010-12-14  Rüdiger Härtel <r_haertel@gmx.de>

	* support/devel/sak/doc/kwic.txt:	added widget_dateentry.man
	* support/devel/sak/doc/manpages.txt:	so that it is build and
	* support/devel/sak/doc/toc.txt:	installed

2010-12-07  Csaba Nemethi  <csaba.nemethi@t-online.de>

	* examples/mentry:                  Added the modules mentry and wcb,
	* examples/wcb:                     with examples.
	* modules/mentry:
	* modules/wcb:
	* support/installation/modules.tcl:

2010-08-23  Andreas Kupries  <andreask@activestate.com>

	* apps/bitmap-editor: Additional functionality by Keith (mouse
	  stroking, cursor, rename, and undo), plus teapot meta data.

2010-08-20  Andreas Kupries  <andreask@activestate.com>

	* apps/bitmap-editor: New application, by Keith Vetter, added
	* apps/bitmap-editor.man: with permission.
	* support/installation/modules.tcl:

2010-08-10  Arjen Markus  <arjenmarkus@users.sourceforge.net>

	* support/installation/modules.tcl: Added the new controlwidget module

2010-07-07  Andreas Kupries  <andreask@activestate.com>

	* README.developer: New files to help the referenced people with
	* README.releasemgr: their work on Tklib. Copied from Tcllib, and
	  modified to suit.

2009-11-25  Andreas Kupries  <andreask@activestate.com>

	* Makefile.in (test): [Bug 2903927]: Modified test target to
	  behave like tcllib's test target.

2009-02-06  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* modules/swaplist/swaplist.man: General cleanup of all the documentation
	* modules/ntext/ntextBindings.man: warnings reported for the packages.
	* modules/ntext/ntext.man:
	* modules/ntext/ntextIndent.man:
	* modules/ntext/ntextWordBreak.man:
	* modules/widget/widget_toolbar.man:
	* modules/widget/widget_calendar.man:
	* modules/ico/ico.man:
	* modules/khim/khim.man:
	* modules/tkpiechart/canvaslabel.man:
	* modules/tkpiechart/pieperipherallabeler.man:
	* modules/tkpiechart/pieboxlabeler.man:
	* modules/tkpiechart/pie.man:
	* modules/ipentry/ipentry.man:
	* modules/plotchart/plotchart.man:
	* modules/ctext/ctext.man:
	* modules/diagrams/draw_diagram.man:
	* modules/tooltip/tooltip.man:
	* modules/canvas/canvas_sqmap.man:
	* modules/canvas/canvas_zoom.man:

	* installer.tcl: Updated to use the installer and sak of tcllib
	* sak.tcl: head.

	* PACKAGES: Moved to new directory support/releases/
	* tklib_version.tcl: Ditto.
	* README-0.4.txt: Moved to new directory support/releases/history/
	* README-0.5.txt: Ditto.
	* all.tcl: Moved to new directory support/devel
	* install_action.tcl: Moved to new directory support/installation
	* installed_modules.tcl: Ditto.
	* main.tcl: Ditto.
	* man.macros: Ditto.

	* support/: New directory, mostly sak from Tcllib, and the renamed
	  forms of the moved files, see above.

2009-02-05  Andreas Kupries  <andreask@activestate.com>

	* examples/ntext/ntextExample.tcl: Modified examples to assume
	* examples/tkpiechart/demo.tcl: that they are run by a tclsh
	* installed_modules.tcl: found on the PATH, and that this shell
	* modules/plotchart/plotpriv.tcl: has access to the packages of
	  Tklib required by the example. The patches were provided by
	  Stuart Cassoff <stwo@users.sourceforge.net> as part of his work
	  on making a Tklib OpenBSD port. Added the examples for a number
	  of modules to the installer. Patch by Stuart, see above.

2009-01-21  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tklib 0.5 ========================
	*

2008-11-22  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* installed_modules.tcl: New module 'canvas' added, providing
	* modules/canvas:        extended canvas widgets.

2008-11-04  Andreas Kupries  <andreask@activestate.com>

	* installed_modules.tcl: New module 'crosshair' added, providing
	* modules/crosshair: cross-hairs in canvas widgets.

2008-05-01  Andreas Kupries  <andreask@activestate.com>

	* sak.tcl (gd-gen-tap): Added hacks to get proper tap definitions
	  for Tablelist and its related packages.

2008-02-21  Jeff Hobbs  <jeffh@ActiveState.com>

	* installed_modules.tcl:
	* examples/widget/screenruler.tcl: Added widget::screenruler example

2007-10-19  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* modules/chatwidget:    Added a new widget: 'chatwidget'
	* installed_modules.tcl:

2007-09-26  Andreas Kupries  <andreask@activestate.com>

	* installed_modules.tcl: Added 'diagrams' to the list of installed
	  modules.

2007-06-25  Jeff Hobbs  <jeffh@ActiveState.com>

	* examples/ntext/*.tcl (new): examples for ntext module

2007-06-21  Jeff Hobbs  <jeffh@ActiveState.com>

	* installed_modules.tcl: added ntext module

2006-08-28  Andreas Kupries <andreask@activestate.com>

	* PACKAGES:               Reverted changes to the files describing
	* README-0.4.txt:         the last release. At least PACKAGES is
	                          needed unchanged to enable the comparison
	                          of the last release to the current state.

2006-08-27  Kevin B. Kenny  <kennykb@acm.org>

	* PACKAGES:               Added KHIM (Kevin's Hacky Input Method)
	* README-0.4.txt:         to the module list for installation and
	* installed_modules.tcl:  documentation.  Added rules to
	* install_actions.tcl:    'install_actions' to install message
	                          catalogs.
	* configure:              Regenerated.

2006-04-26  Andreas Kupries <andreask@activestate.com>

	* sak.tcl (gd-gen-tap): modified to strip non-version characters
	  out of version numbers.

2006-01-16  Csaba Nemethi <csaba.nemethi@t-online.de>

	* install_action.tcl: Removed the invocation of xcopy for the
	  images directory from the _tab proc, because the contents of that
	  Tablelist directory has been replaced with a new script file.

2005-12-02  Andreas Kupries <andreask@activestate.com>

	* sak.tcl (validate_versions_cmp): Fixed typo causing the use of a
	wrong variable [SF Tcllib Bug 1371186]. Thanks to Wart.

2005-11-10  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tklib 0.4.1 ========================
	*

2005-11-02  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tklib 0.4 ========================
	*

2005-11-02  Andreas Kupries <andreask@activestate.com>

	* sak.tcl (ppackages): Copied the impl. we have in Tcllib over for
	  better detection. Does not help table list however.

2005-10-24  Andreas Kupries <andreask@activestate.com>

	* sak.tcl: Added methods for release engineering: rstatus,
	  release, desc, desc/2, better tap generation.
	* PACKAGES: New file, empty, will be filled when the release is
	  committed.
	* README-0.4.txt: New file, summary changes for 0.4 release.

	* sak.tcl (ipackages): Strip code opening with brace after version
	  number as well when extracting version numbers from package
	  indices.

	* tklib_version.tcl: Bumped to 0.4.

2005-10-17  Andreas Kupries <andreask@activestate.com>

	* install_action.tcl (_tab): Bugfix. Have to install the file
	  'tclIndex' as well to make the package fully-functional.

2005-10-03  Andreas Kupries <andreask@activestate.com>

	* install_action.tcl (_tab): New command for tablelist installation.
	* installed_modules.tcl: New module: tablelist. Originator/Author:
	  Csaba Nemethi <csaba.nemethi@t-online.de>

2005-08-24  Andreas Kupries <andreask@activestate.com>

	* installer.tcl (write_out): Cross-ported the fix for [Tcllib SF
	  Bug 899209] to tklib. Delete an existing file before trying to
	  overwrite it. See Tcllib ChangeLog entry 2004-03-01.

2005-08-22  Jeff Hobbs  <jeffh@ActiveState.com>

	* tklib_version.tcl: updated to 0.3
	* installed_modules.tcl: Added module 'widget' to the list of
	  installed modules.

2005-07-27  Andreas Kupries <andreask@activestate.com>

	* installed_modules.tcl: Added module 'tooltip' to the list of
	  installed modules.

2005-04-01  Andreas Kupries <andreask@activestate.com>

	* installed_modules.tcl: Added new module 'swap_list' to the list
	  of installed modules.

2005-03-31  Andreas Kupries <andreask@activestate.com>

	* installed_modules.tcl: Added 'get'string' and 'history' to the
	  list of installed modules. These are new modules added a few
	  days ago, by Aaron Faupell.

2004-07-22  Jeff Hobbs  <jeffh@ActiveState.com>

	* installed_modules.tcl: added ico to list of installed modules.
	* modules/ico/*: new 'ico' module for extracting icos from exe/ico
	  files - works x-platform.

2004-06-29  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* install_action.tcl:    Added ctext and style to list of
	* installed_modules.tcl: installed modules.

2004-05-18  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* New module 'tkpiechart'. This has been donated by Jean-Luc
	  Fontaine. Thanks. It is based on his stoop OO package, found in
	  our sibling 'Tcllib'.

	* installed_modules.tcl: Added tkpiechart to the list of installed
	  modules.

2004-04-15  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* New module 'plotchart', by Arjen Markus. Thanks for this
	  donation.

2004-04-04  David N. Welton  <davidw@dedasys.com>

	* New module 'style'. Various Tk styles/themes.

2004-04-15  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* New module 'ctext', by George Peter Staplin. Thanks for this
	  donation.

2003-11-28  Andreas Kupries  <andreask@activestate.com>

	* Reworked the entire build system to use the same framework as
	  tcllib does. IOW tklib now uses a swiss army knife tool
	  (sak.tcl, with all attendant files), and configure/Makefile are
	  based on that. Generation of distributions, and installer now
	  also work in the same way as for tcllib.

	* Replaced existing nroff documentation with doctools manpages,
	  and wrote doctools manpages for the modules which had none. All
	  (four) modules now have documentation.

2003-07-21 Aaron Faupell <afaupell@users.sourceforge.net>

	* imported ipentry into tklib

2002-09-25  Jeff Hobbs  <jeffh@ActiveState.com>

	* Makefile.in: better DESTDIR/libdir support (steffen)

2001-11-07  Jeff Hobbs  <jeffh@ActiveState.com>

	* created tklib in CVS

